commit 94992c686a6850f2303aa78057a64a6369b64692
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 28 14:17:50 2009 +1000

    libICE 1.0.6
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7a8bb2a2c991919bcdef63359c74e239045a3f4c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:30 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dbb950061f185e1ccf27bff9c71adc34ab4cfae0
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 28 16:55:37 2009 -0200

    Janitor: Correct sparse warnings.
    
      Also reorders some code in configure.ac and Makefile.am to
    match pattern used on other packages.

commit 2f41ddb3a917c4e71184452b68561a15593d33b8
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 6 17:25:25 2009 -0200

    Update .gitignore.
    
      Don't warn about files left after a build and/or make distcheck
    in 'git status -a'.

commit ab9dff549534c6d7b33f440bff7a841d60c1206c
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Mon Dec 8 18:45:44 2008 +0100

    bump to 1.0.5

commit 71695c4bf7ae07228605683f6cdeca0457c8495a
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Mon Dec 8 18:44:26 2008 +0100

    remove ChangeLog from EXTRA_DIST and CLEANFILES

commit 653f659fe65ae8c2a9fe5b1fdbfc78da43f2cf90
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Mon Dec 8 18:41:34 2008 +0100

    use memcmp instead of binaryEqual
    
    suggested by Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
    http://lists.freedesktop.org/archives/xorg/2008-December/041222.html

commit bf138553afe6eecd0e6c218dc6ae4f63065e4196
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Tue Dec 2 22:06:15 2008 +0100

    Use NULL, not zero, for pointers
    
    From Magnus Kessler <Magnus.Kessler@gmx.net>
    http://lists.freedesktop.org/archives/xorg/2008-October/039799.html
    http://lists.freedesktop.org/archives/xorg/attachments/20081030/b2ea5b1c/attachment-0001.bin

commit b01e82ce1deedb36c9696d4d27a3b9a5d5a52d08
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Thu Oct 30 12:01:06 2008 +0100

    ANSI C
    
    convert all old style function declarations
    
    see also: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
    http://bugs.freedesktop.org/show_bug.cgi?id=14683
    http://bugs.freedesktop.org/attachment.cgi?id=14582
    
    see also: Magnus Kessler <Magnus.Kessler@gmx.net>
    http://lists.freedesktop.org/archives/xorg/2008-October/039799.html
    http://lists.freedesktop.org/archives/xorg/attachments/20081030/b2ea5b1c/attachment-0001.bin

commit 2aba1bc0583aeb3ee6e26e3bfacd123abef744d9
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Mon Dec 1 23:06:22 2008 +0100

    towards ANSI C
    
    make _IceProcessCoreMessage and default error handlers static

commit 69a1b4b6d34291738dfbc3aa19d0ce3f2842ec8f
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Mon Dec 1 22:22:12 2008 +0100

    Activate CWARNFLAGS with lots of gcc warnings

commit 898ed95cad1133940a83dcf428865c5d3fb2c939
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Mon Dec 1 22:18:45 2008 +0100

    use xorg-macros-1.2.1
    
    Use XORG_CHANGELOG for rule to generate ChangeLog from git log
    Use XORG_CWARNFLAGS for compiler warning flags, leave CFLAGS to user

commit a99fbad09ab850e65ddd57e4d4488e4726295e14
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Tue Oct 7 13:21:48 2008 -0700

    Constify some arguments in libICE to clear warnings in libSM
    
    This patch avoids the gcc (3.4.6) warnings:
     ../../libSM-1.0.3/src/sm_client.c:104: warning: passing arg 7 of `IceRegisterForProtocolSetup' from incompatible pointer type
     ../../libSM-1.0.3/src/sm_manager.c:168: warning: passing arg 7 of `IceRegisterForProtocolReply' from incompatible pointer type
    when compiling libSM

commit 3bceaeb3192ca75a14854d614e1621d28fb82274
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Tue Oct 7 11:25:42 2008 -0700

    define macros to 1 in icetrans.c to avoid redefined macro warnings
    
    X.Org Bug #17947 <http://bugs.freedesktop.org/show_bug.cgi?id=17947>
    Patch #19444 <http://bugs.freedesktop.org/attachment.cgi?id=19444>
    
    Define as 1 (one) as done by autoconf and the command line
    option, e.g. -DICE_t, not as empty.
    
    This avoids the gcc (3.4.6) warnings:
     ../../libICE-1.0.4/src/icetrans.c:29:1: warning: "ICE_t" redefined
     ../config.h:38:1: warning: this is the location of the previous definition
     ../../libICE-1.0.4/src/icetrans.c:30:1: warning: "TRANS_CLIENT" redefined
     <command line>:6:1: warning: this is the location of the previous definition
     ../../libICE-1.0.4/src/icetrans.c:31:1: warning: "TRANS_SERVER" redefined
     <command line>:7:1: warning: this is the location of the previous definition

commit b707104f4dba0963ab17c1d6a29c1e3a848ea408
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Tue Apr 29 00:41:40 2008 +0100

    silence warning

commit e6b525aefc05b5203391699b00053ad52243cc6b
Author: Colin Harrison <colin.harrison-at-virgin.net>
Date:   Tue Apr 29 00:40:48 2008 +0100

    include for sleep()

commit ef58f37724b841ef2246757be27111775aa86559
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 09:02:40 2008 +0100

    nuke RCS Ids

commit 47d86e8343d3d0201166c4d75da2ec9c12638cc1
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:13 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit f415da71dd26f128df7d550ecd7631f8888eb1d2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 20 13:21:07 2007 -0700

    Version bump: 1.0.4

commit 8e08d3e4b8f00151b3a8b7eb88015dc15170e154
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 4 15:40:22 2007 -0700

    Add $(AM_CFLAGS) to lint flags to get correct Xtrans flags

commit cd900e40b5676874d076c35466fd7baa6a49b1f6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 5 15:05:52 2007 -0700

    Replace many malloc(strlen()); strcpy() pairs with strdup()

commit 27f9a9324d58c9a7472c724c62f5b7ea0e1f4681
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 5 14:43:05 2007 -0700

    Provide ANSI C prototypes for more static functions

commit bb639803a779ceace05d183b653da88f010ab29c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 5 14:32:31 2007 -0700

    Convert authutil.c static helpers to ANSI C prototypes to clear sparse warnings

commit 2179b2d467d69e45559b8e4f161a904a21f05321
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 5 14:28:06 2007 -0700

    Add hooks for checking source code with lint/sparse/etc.

commit 6b361c028b5ad931b61df86fae570f3ef9f41c15
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 5 14:19:56 2007 -0700

    Coverity #1086: Double free of pointer "*listenObjsRet"
    
    Same bug, different function.

commit c9b3d016681d81aff32c74cdad75151bd538e6ab
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 5 14:07:42 2007 -0700

    Coverity #1085: Double free of pointer "*listenObjsRet"
    
    If malloc failed in the loop in IceListenForConnections, the error path
    would free all previous allocations, then loop around and try again, and
    if it failed again, free the previous allocations again.   On the other
    hand, if it succeeded on the later tries, then the memory would just be
    leaked, since the error would be returned and not the pointer to them.

commit 6039e865470af23948b0fe7d5dc0ea72da436b0e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 5 14:04:01 2007 -0700

    Add *~ to .gitignore to skip emacs/patch droppings

commit bed718894bed98cbd45b02bd57fb7fc6fd5089aa
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:21:17 2006 +0200

    bump to 1.0.3

commit cac788981906186442ddfb57a41f45911eb8223b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 18:58:09 2006 +0200

    Makefile.am: make ChangeLog hook safer
    Make ChangeLog hook as safe as possible.

commit 011d632e8ef3f738b9158e66d6da6876e3b53905
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 15:49:52 2006 -0400

    Bump to 1.0.2

commit 445661cd714685009ee9ba2358a274351381eabf
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Thu Oct 12 18:37:57 2006 -0400

    Fix ChangeLog hook to distcheck.

commit 5cba1c763ac9f79062523227b49a29f72e6069cf
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jul 16 10:52:30 2006 +0200

    set GIT_DIR=${srcdir}/.git for git-log

commit 86e0a93714a6ccdb8555fc2c48231d958cba383d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:44 2006 -0700

    renamed: .cvsignore -> .gitignore

commit c87cb98979356fc55607c05a2b23207afc9beeb1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 11 13:48:08 2006 -0700

    Replace static ChangeLog with rule copied from libX11 to generate from git log

commit 6066ab9b9914ec0cca3b8f36fa3f5ba323414621
Author: Derek Wang <derek.wang@sun.com>
Date:   Tue Nov 23 12:00:32 2004 -0800

    Sun bug #6193975: kde session manager core dumps in _IceWrite()

commit be25425ca38d23655a5a854c053e750e1cbd3dea
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 11 13:42:07 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 9b1bb5ab99bd386cc030cd456a576b37406da91c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:57:50 2006 +0000

    Bump to 1.0.1

commit 96d7763487da6624ed85bee10b081e7138d2060d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Apr 10 16:44:40 2006 +0000

    Coverity #664: Free memory allocated by EXTRACT_STRING in
        _IceDefaultErrorHandler after we're done fprintf()'ing it.

commit 2a30ec82f3bd2aa1f2566e97fee70403a8448de8
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:27 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 881573d429c0a9ecfa2d6286d4eaece36ee50675
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:42 2005 +0000

    Update package version number for X11R7 RC3 release.

commit a15b179f2e8e359161d9133bac58dde57b7e78ae
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:39 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit c386a08047582240adefafd3afc062e52fccae6f
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit c361e3919f2de3f4742904b04e73178edc76bf95
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Oct 23 20:12:19 2005 +0000

    Bug #1893: Fix replies when peers use different major opcodes for the same
        subprotocol. (016_ICE_subprotocol_reply_fix.diff from Debian, by Jochen
        Voss)

commit 0b8ff6fbd8cd7f47ab9e6ccb6d4917564a2d13ee
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 19:15:15 2005 +0000

    Add -D flags to clear various warnings (Stefan Dirsch)

commit 260d470a128c7eaa6d7484bb143aab353c4e98ec
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:50 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit cf687b775f580a84a4a8e962814abe7bc47a3c52
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 06:22:34 2005 +0000

    Set soversion to 6.3.0.

commit 6d1704defa0e57715bd22d30d6e789b36233dcf8
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 05:59:01 2005 +0000

    Add .cvsignore files

commit 2b6b8e40a63dd69a13f87c19dcf8dc2f477c304d
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:55 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit 608ad35f102b188f554daf8c160a5edcf4e8031c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jun 10 14:11:36 2005 +0000

    Remove pointless include of Xlib.h.
    Fix #include path to bigreqstr.h.

commit 795460992b0dcd4aa2591be462a94942415c6028
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Jun 9 15:54:47 2005 +0000

    Replace <X11/transport.c> with <X11/Xtrans/transport.c>

commit ae7b4cca6bd5c1f4edea8cde80d7a3dfaaf2c4d3
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Jun 9 15:52:02 2005 +0000

    Replace <X11/Xtrans.h> with <X11/Xtrans/Xtrans.h>
    Copy Xtrans.h to exports/include/X11/Xtrans only

commit a0637be926e6da5db8d131e7914f1300f484c626
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat May 21 23:07:47 2005 +0000

    xtrans:
    Create autoconf macro XTRANS_CONNECTION_FLAGS to provide standard set of
        --enable flags for which transports to support and common place to
        update for required libraries for platforms that need certain libs for
        certain transports
    ICE:
    Add ICE_t #define required by Xtrans headers. Replace static defines of
        LOCALCONN & UNIXCONN with new XTRANS_CONNECTION_FLAGS macro.
    X11:
    Moved transport type checks to new macro XTRANS_CONNECTION_FLAGS in
        xtrans.m4 in xtrans module so they can be shared by all modules using
        xtrans.

commit efdb2468119be0c62a379d91088a708ca8d37e1b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:32 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit ccf4efa5e204d4569b9b590f72baae807ec19903
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:02 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit 3458da101c943530861485c798538ce014eee6b0
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 21:25:15 2005 +0000

    - Conditionally include config.h in xc/lib/SM
    - Add libSM to symlink.sh
    - Add SM build system

commit cae06ca0ce523eeb9a667ce3ae5bff066cf6ecd7
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 20:53:58 2005 +0000

    - Conditionally include config.h in the ICE source.
    - Add ICE to symlink.sh

commit 9dd90f8f8e29bb1dd6fe84b4b1d2d75ef91bc336
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 20:52:35 2005 +0000

    Add ICE directory + build system.

commit d1cfe2a6d4a392f64b6b9d9255ec329fb2a6a39a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jan 28 19:15:39 2005 +0000

    Move _IceGetPeerName into the ICE public API as IceGetPeerName; bump ICE
        soversion to 6.4 accordingly. Change SM's use to the public version.
        The old version will be retained for compatibility.

commit 8f0babf8450aa8097e063e13c95b1581843b2dd8
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:22 2004 +0000

    Merging XORG-CURRENT into trunk

commit 111949a4a1d5b62e26016b555e12f8862c90ae44
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:31:52 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit d4054eea34b2f4d345796ecadec8a96af93c4d0d
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:10 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 569bf16d182b043e7ab914202d4195baf4a8413a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:18 2004 +0000

    readding XFree86's cvs IDs

commit 14c9e41e551ab1b3a00807dbb8f2f215b96bcc81
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:34 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 45b73c360dc68b023194758bbb1cc59c021742a6
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:02:52 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit c919c3d0b355ef67dfa0b511eb1da488e5786d1b
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:07 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 72e353567f8927996a26e72848d86f692c3f0737
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:46 2003 +0000

    XFree86 4.3.0.1

commit ee452992357329f7af846eba8f5bbe61c5d27bfa
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:36 2003 +0000

    R6.6 is the Xorg base-line
